Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::StdEncryptData Class Reference

## Public Member Functions
| StdEncryptData ()
| Constructor.
| StdEncryptData (bool is_encrypt_metadata, uint32 user_permissions, SecurityHandler::CipherType cipher, int key_length)
| Constructor, with parameters. More...
| StdEncryptData (const StdEncryptData &other)
| Constructor, with another standard encrypt data object. More...
bool | operator!= (const StdEncryptData &other) const
| Not equal operator. More...
StdEncryptData & | operator= (const StdEncryptData &other)
| Assign operator. More...
bool | operator== (const StdEncryptData &other) const
| Equal operator. More...
void | Set (bool is_encrypt_metadata, uint32 user_permissions, SecurityHandler::CipherType cipher, int key_length)
| Set value. More...

## Public Attributes
SecurityHandler::CipherType | cipher
| Cipher type. Please refer to values starting from SecurityHandler::e_CipherRC4 and this should be one of these values except SecurityHandler::e_CipherNone.
bool | is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
int | key_length
| The key length, in bytes. More...
uint32 | user_permissions
| The user permissions. Please refer to values starting from PDFDoc::e_PermPrint and this should be one or combination of these values.

## Detailed Description

This class represents some data used for class StdSecurityHandler.

## Constructor & Destructor Documentation

## ◆ StdEncryptData() [1/2]

foxit::pdf::StdEncryptData::StdEncryptData | ( | bool | is_encrypt_metadata,
|  | uint32 | user_permissions,
|  | SecurityHandler::CipherType | cipher,
|  | int | key_length
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from PDFDoc::e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler::e_CipherRC4 and this should be one of these values except SecurityHandler::e_CipherNone.
  [in] | key_length | The key length, in bytes. For SecurityHandler::e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For SecurityHandler::e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

## ◆ StdEncryptData() [2/2]

foxit::pdf::StdEncryptData::StdEncryptData | ( | const StdEncryptData & | other | ) |
| inline

Constructor, with another standard encrypt data object.

Parameters

  [in] | other | Another standard encrypt data object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::StdEncryptData::operator!= | ( | const StdEncryptData & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another standard encrypt data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

StdEncryptData& foxit::pdf::StdEncryptData::operator= | ( | const StdEncryptData & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another standard encrypt data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::StdEncryptData::operator== | ( | const StdEncryptData & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another standard encrypt data object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::StdEncryptData::Set | ( | bool | is_encrypt_metadata,
|  | uint32 | user_permissions,
|  | SecurityHandler::CipherType | cipher,
|  | int | key_length
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from PDFDoc::e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler::e_CipherRC4 and this should be one of these values except SecurityHandler::e_CipherNone.
  [in] | key_length | The key length, in bytes. For SecurityHandler::e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For SecurityHandler::e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

Returns
  None.

## Member Data Documentation

## ◆ key_length

int foxit::pdf::StdEncryptData::key_length

The key length, in bytes.

- For SecurityHandler::e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16.
- For SecurityHandler::e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).